MasterReplicaTransitionException (Oracle - Berkeley DB Java Edition API)
Date: 2014-12-16

com.sleepycat.je.rep

## Class MasterReplicaTransitionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.sleepycat.je.DatabaseException
        - - com.sleepycat.je.RunRecoveryException
          - - com.sleepycat.je.EnvironmentFailureException
            - - com.sleepycat.je.rep.RestartRequiredException
              - - com.sleepycat.je.rep.MasterReplicaTransitionException

- All Implemented Interfaces:
    Serializable

  Deprecated.
  as of JE 5.0.88 because the environment no longer needs to restart when transitioning from master to replica.

      @Deprecated
      public class MasterReplicaTransitionException
      extends RestartRequiredException

  In the past, MasterReplicaTransitionException was sometimes thrown in JE replication systems when an environment that was a master and transitioned to replica state. In some cases, the environment had to reinitialize internal state to become a replica, and the application was required to the application close and reopen its environment handle, thereby properly reinitializing the node.

  As of JE 5.0.88, the environment can transition from master to replica without requiring an environment close and re-open.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MasterReplicaTransitionException(com.sleepycat.je.dbi.EnvironmentImpl envImpl, Exception cause)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class com.sleepycat.je.EnvironmentFailureException

      `getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MasterReplicaTransitionException

          public MasterReplicaTransitionException(com.sleepycat.je.dbi.EnvironmentImpl envImpl,
                                          Exception cause)

      Deprecated.

Copyright (c) 2004, 2014 Oracle and/or its affiliates. All rights reserved.